cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling

## Class SRM_S07

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SRM_S01_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SRM_S07

-     public final class SRM_S07
      extends SRM_S01_Common

  SRM_S07 - Request Addition of Service/Resource on Appointment (Event S07). This event transmits a request that a new service or resource be added to an existing appointment.

  Represents a SRM_S01 message structure (see chapter 10.3). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: ARQ (Appointment Request) SINGLE_COMPULSARY
  2: APR (Appointment Preferences) SINGLE_OPTIONAL
  3: NTE (Notes and Comments) MULTIPLE_OPTIONAL
  4: PATIENT (a Group in SRM_S01 message) MULTIPLE_OPTIONAL
  5: RESOURCES (a Group in SRM_S01 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SRM_S07 objS07 = (SRM_S07)MessageFactory.createInstance().createSendSupportedMessage("SRM", "S07");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.scheduling.SRM_S01_Common

      `addNotesandCommentsSegment, addNotesandCommentsSegments, addPatientGroup, addPatientGroups, addResourcesGroup, addResourcesGroups, addUnknownGroup, addUnknownGroups, getAppointmentPreferencesSegment, getAppointmentRequestSegment, getNotesandCommentsSegments, getPatientGroups, getResourcesGroups, getUnknownGroups, setAppointmentPreferencesSegment, setAppointmentRequestSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`